#!/bin/tcsh -f
    
if ( $#argv < 4 ) then
    echo usage:$0 '(1mm|2mm) (1-120mev|100-520mev|500-2000mev) (00-99) thresh(0.33,1,3.3,10)'
    exit 1
endif

set lthick = $1
set mom    = $2
set run    = $3
set thresh = $4

###
set dname = data/${lthick}
echo ${dname}

set files = `'ls' ${dname}/${mom}/cbar_r${run}*.hbook`
set nfiles = `echo ${files} | wc -w`

set hbfiles = ''
foreach f ( ${files} )
  set hbfiles = "${hbfiles} ${f}"
end

echo ${hbfiles}
echo ${nfiles}

# usage : ./paw.csh kumacfile psfile hbookfile

### start
#test -d psfiles/${lthick} || mkdir -p psfiles/${lthick}

./paw.csh '' \
    hplotbveto.kumac \
    psfiles/cbar.${lthick}.${mom}.cut${thresh}mev.ps \
    ineff/ineff.${lthick}.${mom}.cut${thresh}mev \
    ${lthick} \
    ${mom} \
    ${thresh} \
    ${nfiles} \
    ${hbfiles}

