#include <stdio.h>
#include <unistd.h>
#include "HigzManager/HigzManager.h"
#include "ccfortran/ccfortran.h"

#define  NWPAWC  1000000
int  pawc_[NWPAWC];


int
main( void )
{
  //
  HigzManager::init( NWPAWC );
  HigzManager  hz1(1);

  HigzManager  hz2(5);
  hz2.OpenPsFile( "hz2.ps",92 );
  getchar();
  
  hz1.SetWindow( -100,100,-100,100 );
  hz1.Key( 0,0,21,"KEY1" );
  hz1.Puts( 10,10,"TEXT1" );
  hz1.Arc( -20,-20,10,30,10,80 );
  hz1.Circle( 0,0,30 );
  hz1.Ellipse( 10,10, 20,30, 40,50, 0,180 );
  hz1.Update();
  getchar();

  hz2.SetWindow( 0,50,0,50 );
  hz2.Key( 10,10,20,"KEY2" );
  hz2.Update();
  getchar();
  //

  Hep3Vector p[4];
  p[0] = Hep3Vector(  50,-20,0 );
  p[1] = Hep3Vector(  50, 20,0 );
  p[2] = Hep3Vector( -50, 20,0 );
  p[3] = Hep3Vector( -50,-20,0 );
  //hz1.DoubleBuffer();
  hz1.RotationOrigin( Hep3Vector( 30,0,0 ) );
  for( int i=0;i<=36;i++ ){
    hz1.ClearScreen();
    hz1.Rotation( "zyx",5*i,10*i,0 );
    std::cout << hz1.Rotation() << std::endl;
    hz1.Polygon( 4,p );
    hz1.Update();
    usleep(100000);
  }
  getchar();
  //
  
  hz2.ClosePsFile();
  HigzManager::term();
  return( 0 );
}
