// -*- C++ -*-
//
// TMHistogram.cc
// Histogram accessing class
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Tue Sep 11 17:17:42 JST 2001
//
// $Id: TMHistogram.cc,v 1.1.1.1 2002/08/13 12:48:12 kensh Exp $
//
// Revision History
//
// $Log: TMHistogram.cc,v $
// Revision 1.1.1.1  2002/08/13 12:48:12  kensh
//
//
// Start version.
//
//

#include <iostream>
#include "ccfortran/ccfortran.h"
#include "TupleManager/TupleManager.h"
#include "TupleManager/TMHistogram.h"


//
extern int  quest_[100]; // common/quest/iquest(100)


//////// TMHistogram
//
TMHistogram::TMHistogram( const TupleManager* mn )
  : m_manager( mn ),
    m_title( "" ),
    m_hid( 0 ),
    m_xbin( 0 ),
    m_ybin( 0 ),
    m_xmin( 0.0 ),
    m_xmax( 0.0 ),
    m_ymin( 0.0 ),
    m_ymax( 0.0 )
{
  //
}


//
TMHistogram::~TMHistogram()
{
  
}


//
void
TMHistogram::book( int hid, const std::string& title,
                   int xbin,double xmin, double xmax )
{
  m_hid   = hid;
  m_title = title;
  m_xbin  = xbin;
  m_xmin  = xmin;
  m_xmax  = xmax;

  HCDIR( m_manager->cdir(), " " );
  HBOOK1( m_hid,m_title,xbin,xmin,xmax );
}


//
void
TMHistogram::book( int hid, const std::string& title,
                   int xbin,double xmin, double xmax,
                   int ybin,double ymin, double ymax )
{
  m_hid   = hid;
  m_title = title;
  m_xbin  = xbin;
  m_xmin  = xmin;
  m_xmax  = xmax;
  m_ybin  = ybin;
  m_ymin  = ymin;
  m_ymax  = ymax;

  HCDIR( m_manager->cdir(), " " );
  HBOOK2( m_hid,m_title,xbin,xmin,xmax,ybin,ymin,ymax );
}


//
void
TMHistogram::fill( double x, double weight )
{
  HCDIR( m_manager->cdir(), " " );
  HFILL( m_hid, x, 0, weight );
}


//
void
TMHistogram::fill( double x, double y, double weight )
{
  HCDIR( m_manager->cdir(), " " );
  HFILL( m_hid, x, y, weight );
}



