/*                    Grand Unified EXIT
         Switch multiple protocols by looking at the protocol field
         which start with / and end with : placed at the head of
         the file name.   Currently supported protocols are
         FS(file system) and HPSS(high performance storage system).

         /hpss:<hpss name>  -> invoke hpss calls for the file <hpss name>
         /:                 -> expanded to /.../cc.kek.jp/fs
                                              (hard wired for the momtne)
                               and use the system standard exit call.
         anything else      -> use the system standard exit call.

	 
	 This code based on the hpsscat.c provided by IBM Japan (2001/01/23).
         M. Aoki modified the base code (2001/01/23).
*/	 

static char rcsid_guexit[] = "@(#) $Id: guexit.c,v 1.1 2002/12/11 14:12:33 yamaga Exp $";


#include <stdio.h>
#include <errno.h>
#include <fcntl.h>
#include <string.h>
#include <ctype.h>
#include <sys/stat.h>
#include <unistd.h>
#include "hpss_api.h"
#include "hpss_types.h"
#include "u_signed64.h"
#include "gufio/hpss_bufapi.h"
#include "gufio/gufio.h"


void guexit()
{
  int status;
  struct gufio_tbl *thetbl;

  thetbl = gutblfirst();
  while( thetbl != NULL ){
    status = guclose( thetbl->fd );
    if ( status < 0 ) {
      exit(1);
    }
    gutblrm( thetbl->fd );
    thetbl = gutblnext( thetbl );
  }
}
